/***********************************************************************/
/***********************************************************************/
/**                                                              
/** Copyright (C) BEKA Associates Ltd (2005). All Rights Reserved    
/**                                                                   
/** Device        : BA488CF                              
/** Communication : PROFIBUS PA                                       
/** Description   : PROFIBUS PA EDDL for BA488CF  		 
/**  		    AO Transducer Block
/**		    Containing Varaibles, Commands and Methods
/**
/**
/** Histrory      : M.P.Wilson 04/03/2005 first created
/**                 M.P.Wilson 05/03/2005 block master put in place
/**		    M.P.Wilson 10/03/2005 Static Revision and Tag fixed
/**                 M.P.Wilson 29/04/2005 View Table Added
/**                 M.P.Wilson 03/05/2005 fsafe values fixed,
/**                                       menus enhanced, batch information
/**					  added	
/**                 M.P.Wilson 04/05/2005 Online Menu's added
/**
/***********************************************************************/
/***********************************************************************/


/***********************************************************************/
/*****	VARIABLES Analogue Output Function Block 8
/***********************************************************************/

ao_fb_8_blk_reserve			LIKE VARIABLE	phys_BLK_RESERVE
{
}

VARIABLE ao_fb_8_blk_object
{
	LABEL		[blk_block_object];
	HELP		[blk_block_object_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED(1)
	{
		{	2,	[blk_block_object_FUNCTION]		}
	}
	HANDLING	READ;
}

VARIABLE ao_fb_8_blk_parent_class
{
	LABEL		[blk_parent_class];
	HELP		[func_blk_parent_class_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED(1)
	{
		{	2,	[func_blk_parent_class_OUTPUT]	}
	}
	HANDLING	READ;
}

VARIABLE ao_fb_8_blk_class
{
	LABEL		[blk_class];
	HELP		[func_blk_class_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED(1)
	{
		{	1,	[func_blk_class_AO]		}
	}	
	HANDLING	READ;
}

ao_fb_8_blk_dd_reference 	LIKE VARIABLE	phys_BLK_DD_REFERENCE
{											
}											
											
ao_fb_8_blk_dd_rev		LIKE VARIABLE	phys_BLK_DD_REV
{											
}											
											
ao_fb_8_blk_profile		LIKE VARIABLE	phys_BLK_PROFILE
{											
}											
											
ao_fb_8_blk_profile_rev	LIKE VARIABLE	phys_BLK_PROFILE_REV
{											
}											
											
ao_fb_8_blk_execution_time	LIKE VARIABLE	phys_BLK_EXECUTION_TIME
{											
}											
											
ao_fb_8_blk_num_parameters	LIKE VARIABLE	phys_BLK_NUM_PARAMETERS
{											
}											
											
ao_fb_8_blk_index_view_1	LIKE VARIABLE	phys_BLK_INDEX_VIEW_1
{											
}

ao_fb_8_blk_num_view_lists	LIKE VARIABLE	phys_BLK_NUM_VIEW_LISTS
{											
}											
											
ao_fb_8_st_rev		LIKE VARIABLE	phys_STATIC_REVISION
{
	REDEFINE LABEL  "Static Revision";											
}
											
ao_fb_8_tag_desc		LIKE VARIABLE	phys_TAG_DESCRIPTION
{
	REDEFINE LABEL "Tag Description";
}
											
ao_fb_8_strategy		LIKE VARIABLE	phys_STRATEGY
{											
}											
											
ao_fb_8_alert_key		LIKE VARIABLE	phys_ALERT_KEY
{											
}

ao_fb_8_target_mode		LIKE VARIABLE	phys_TARGET_MODE
{
	REDEFINE TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	BLOCK_MODE_AUTO;
		{	0x02,	[mode_RCAS]				},
		{	0x08,	[mode_AUTO]				},
		{	0x10,	[mode_MAN]				},
		{	0x20,	[mode_LO]				},
		{	0x80,	[mode_OUT_OF_SERVICE]	}
	}
}

ao_fb_8_actual_mode		LIKE VARIABLE	phys_ACTUAL_MODE
{
	REDEFINE TYPE		ENUMERATED (1)
	{
		{	0x02,	[mode_RCAS]				},
		{	0x08,	[mode_AUTO]				},
		{	0x10,	[mode_MAN]				},
		{	0x20,	[mode_LO]				},
		{	0x80,	[mode_OUT_OF_SERVICE]	}
	}
}

ao_fb_8_permitted_mode		LIKE VARIABLE	phys_PERMITTED_MODE
{
	REDEFINE TYPE		BIT_ENUMERATED (1)
	{
		{	0x02,	[mode_RCAS]				},
		{	0x08,	[mode_AUTO]				},
		{	0x10,	[mode_MAN]				},
		{	0x20,	[mode_LO]				},
		{	0x80,	[mode_OUT_OF_SERVICE]	}
	}
}

ao_fb_8_normal_mode		LIKE VARIABLE	phys_NORMAL_MODE
{
	REDEFINE TYPE		ENUMERATED (1)
	{
		{	0x02,	[mode_RCAS]				},
		{	0x08,	[mode_AUTO]				},
		{	0x10,	[mode_MAN]				},
		{	0x20,	[mode_LO]				},
		{	0x80,	[mode_OUT_OF_SERVICE]	}
	}
}

ao_fb_8_current_state_alarm_sum	LIKE VARIABLE	phys_CURRENT_STATE_ALARM_SUM
{
	REDEFINE TYPE		BIT_ENUMERATED (2)
	{
		{	0x0000,	[limit_state_NO_ALARM]	},
		{	0x0200,	[limit_state_HI_HI]		},
		{	0x0400,	[limit_state_HI]		},
		{	0x0800,	[limit_state_LO_LO]		},
		{	0x1000,	[limit_state_LO]		},
		{	0x8000,	[limit_state_ST_REV]	}
	}
}

ao_fb_8_unacknowledged_state_alarm_sum	LIKE VARIABLE	phys_UNACKNOWLEDGED_STATE_ALARM_SUM
{
	REDEFINE TYPE		BIT_ENUMERATED (2)
	{
		{	0x0000,	[limit_state_NO_ALARM]	},
		{	0x0200,	[limit_state_HI_HI]		},
		{	0x0400,	[limit_state_HI]		},
		{	0x0800,	[limit_state_LO_LO]		},
		{	0x1000,	[limit_state_LO]		},
		{	0x8000,	[limit_state_ST_REV]	}
	}
}

ao_fb_8_unreported_state_alarm_sum LIKE VARIABLE	phys_UNREPORTED_STATE_ALARM_SUM
{
	REDEFINE TYPE		BIT_ENUMERATED (2)
	{
		{	0x0000,	[limit_state_NO_ALARM]	},
		{	0x0200,	[limit_state_HI_HI]		},
		{	0x0400,	[limit_state_HI]		},
		{	0x0800,	[limit_state_LO_LO]		},
		{	0x1000,	[limit_state_LO]		},
		{	0x8000,	[limit_state_ST_REV]	}
	}
}

ao_fb_8_disabled_state_alarm_sum LIKE VARIABLE	phys_DISABLED_STATE_ALARM_SUM
{
	REDEFINE TYPE		BIT_ENUMERATED (2)
	{
		{	0x0000,	[limit_state_NO_ALARM]	},
		{	0x0200,	[limit_state_HI_HI]		},
		{	0x0400,	[limit_state_HI]		},
		{	0x0800,	[limit_state_LO_LO]		},
		{	0x1000,	[limit_state_LO]		},
		{	0x8000,	[limit_state_ST_REV]	}
	}
}

VARIABLE ao_fb_8_batch_id
{
	LABEL		[func_batch_id];		
	HELP		[func_batch_id_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (4)
	{
		DEFAULT_VALUE	0;
	}
	HANDLING	READ & WRITE;
}

VARIABLE ao_fb_8_batch_unit
{
	LABEL		[func_batch_unit];		
	HELP		[func_batch_unit_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
	}
	HANDLING	READ & WRITE;
}

VARIABLE ao_fb_8_batch_operation
{
	LABEL		[func_batch_operation];		
	HELP		[func_batch_operation_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
	}
	HANDLING	READ & WRITE;
}

VARIABLE ao_fb_8_batch_phase
{
	LABEL		[func_batch_phase];		
	HELP		[func_batch_phase_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
	}
	HANDLING	READ & WRITE;
}

VARIABLE ao_fb_8_setpoint_value
{
	LABEL		[beka_value]; /* [func_ao_setpoint_value]; */
	HELP		[func_ao_setpoint_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		FLOAT
	{
		DEFAULT_VALUE	0.0;
	}
	HANDLING
		IF (ao_fb_8_target_mode == BLOCK_MODE_AUTO)
		{
			READ & WRITE;
		}
		ELSE {
			READ;
		}	
}

VARIABLE ao_fb_8_setpoint_status
{
	LABEL		[status_limit];
	HELP		[func_ao_setpoint_status_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		STATUS_GENERAL
	}
  	HANDLING	
		IF (ao_fb_8_target_mode == BLOCK_MODE_AUTO)
		{
			READ & WRITE;
		}
		ELSE {
			READ;
		}	

}

VARIABLE ao_fb_8_pv_upper_range_value
{
	LABEL		[func_pv_upper_beka];
	HELP		[func_pv_scale_upper_value_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
	{
		DEFAULT_VALUE	100.0;
	}
	HANDLING	READ & WRITE;
}

VARIABLE ao_fb_8_pv_lower_range_value
{
	LABEL		[func_pv_lower_beka];
	HELP		[func_pv_scale_lower_value_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
	{
		DEFAULT_VALUE	0.0;
	}
	HANDLING	READ & WRITE;
}

VARIABLE ao_fb_8_pv_unit
{
	LABEL		[func_pv_scale_unit];
	HELP		[func_pv_scale_unit_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		UNIT_LIST 
	}
	HANDLING	READ & WRITE;
}

VARIABLE ao_fb_8_pv_decimal_point
{
	LABEL		[decimal_point];
	HELP		[decimal_point_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	2;
		{	0,   "0"		},
		{	1,   "1"		},
		{	2,   "2"		},
		{	3,   "3"		},
		{	4,   "4"		},
		{	5,   "5"		},
		{	6,   "6"		}
	}
	HANDLING	READ & WRITE;
}

VARIABLE ao_fb_8_readback_value
{
	LABEL		[beka_value]; /* [func_ao_readback_value]; */
	HELP		[func_ao_readback_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		FLOAT
	{
		DEFAULT_VALUE	0.0;
	}
	HANDLING	READ;
}

VARIABLE ao_fb_8_readback_status
{
	LABEL		[status_limit];
	HELP		[func_ao_readback_status_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		STATUS_GENERAL
	}
	HANDLING	READ;
}

VARIABLE ao_fb_8_rcas_in_value
{
	LABEL		[beka_value]; /* [func_rcas_in_value]; */
	HELP		[func_rcas_in_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		FLOAT
	{
		DEFAULT_VALUE	0.0;
	}
	HANDLING	
		IF (ao_fb_8_target_mode == BLOCK_MODE_RCAS)
		{
			READ & WRITE;
		}
		ELSE {
			READ;
		}
}

VARIABLE ao_fb_8_rcas_in_status
{
	LABEL		[status_limit];
	HELP		[func_rcas_in_status_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		STATUS_GENERAL
	}
	HANDLING
		IF (ao_fb_8_target_mode == BLOCK_MODE_RCAS)
		{
			READ & WRITE;
		}
		ELSE {
			READ;
		}
}

VARIABLE ao_fb_8_in_channel
{
	LABEL		[beka_channel_in];
	HELP		[func_channel_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED(2)
	{
		DEFAULT_VALUE	0x107 + 8;
		{0 , "Disconnected"},
		{0x0108, "Transducer IN1"},
		{0x0109, "Transducer IN2"},
		{0x010A, "Transducer IN3"},
		{0x010B, "Transducer IN4"},
		{0x010C, "Transducer IN5"},
		{0x010D, "Transducer IN6"},
		{0x010E, "Transducer IN7"},
		{0x010F, "Transducer IN8"},
		
	}
	HANDLING	READ & WRITE;
}


VARIABLE ao_fb_8_out_channel
{
	LABEL		[beka_channel_out];
	HELP		[func_channel_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED(2)
	{
		DEFAULT_VALUE	0x107 + 8;
		{0 , "Disconnected"},
		{0x0108, "Transducer IN1"},
		{0x0109, "Transducer IN2"},
		{0x010A, "Transducer IN3"},
		{0x010B, "Transducer IN4"},
		{0x010C, "Transducer IN5"},
		{0x010D, "Transducer IN6"},
		{0x010E, "Transducer IN7"},
		{0x010F, "Transducer IN8"},
		
	}
	HANDLING	READ & WRITE;
}


VARIABLE ao_fb_8_fsafe_time
{
	LABEL		[func_ao_fsafe_time];
	HELP		[func_ao_fsafe_time_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
	{
		DEFAULT_VALUE	30.0;
/*		MIN_VALUE		1.0; */
		MAX_VALUE		100.0;
	}
	CONSTANT_UNIT	[sec];
	HANDLING	READ & WRITE;
}

VARIABLE ao_fb_8_fsafe_type
{
	LABEL		[func_ao_fsafe_type];
	HELP		[func_ao_fsafe_type_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		{	0,	[func_ao_fsafe_type_FAIL_SAFE_VALUE]		},
		{	1,	[func_ao_fsafe_type_STORING_LAST_SETPOINT]	},
		{	2,	[func_ao_fsafe_type_FAIL_SAFE_POSITION]		}
	}
	HANDLING	READ & WRITE;
}

VARIABLE ao_fb_8_fsafe_value
{
	LABEL		[func_failsafevalue_beka];
	HELP		[func_ao_fsafe_value_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
	{
		DEFAULT_VALUE	0.0;
/*		MIN_VALUE		0.0;  */
		MAX_VALUE		100.0;
	}
	HANDLING	READ & WRITE;
}

VARIABLE ao_fb_8_rcas_out_value
{
	LABEL		[beka_value]; /* [func_rcas_out_value]; */
	HELP		[func_rcas_out_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		FLOAT;
	HANDLING	READ;
}

VARIABLE ao_fb_8_rcas_out_status
{
	LABEL		[status_limit];
	HELP		[func_rcas_out_status_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		STATUS_GENERAL
	}
	HANDLING	READ;
}

VARIABLE ao_fb_8_position_discrete_value
{
	LABEL		[func_ao_position_discrete_value];
	HELP		[func_ao_position_discrete_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (1)
	{
		{	0,	[func_ao_position_discrete_status_NOT_INIT]			},
		{	1,	[func_ao_position_discrete_status_CLOSED]			},
		{	2,	[func_ao_position_discrete_status_OPENED]			},
		{	3,	[func_ao_position_discrete_status_INTERMEDIATE]		}
	}
	HANDLING	READ;
}

VARIABLE ao_fb_8_position_discrete_status
{
	LABEL		[status_limit];
	HELP		[func_ao_position_discrete_status_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		STATUS_GENERAL
	}
	HANDLING	READ;
}

VARIABLE ao_fb_8_setpoint_deviation
{
	LABEL		[beka_sp_dev]; /* [func_ao_setpoint_deviation]; */
	HELP		[func_ao_setpoint_deviation_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		FLOAT;
	CONSTANT_UNIT	[Percent];
	HANDLING	READ;
}

VARIABLE ao_fb_8_check_back
{
	LABEL		[func_check_back];
	HELP		[func_check_back_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		BIT_ENUMERATED (3)
	{
		{	0,					[dia_OK],				[dia_OK_help]				},
		{	CB_FAIL_SAFE,		[cb_FAIL_SAFE],			[cb_FAIL_SAFE_help]			},
		{	CB_REQ_LOC_OP,		[cb_REQ_LOC_OP],		[cb_REQ_LOC_OP_help]		},
		{	CB_LOCAL_OP,		[cb_LOCAL_OP],			[cb_LOCAL_OP_help]			},
		{	CB_OVERRIDE,		[cb_OVERRIDE],			[cb_OVERRIDE_help]			},
		{	CB_DISC_DIR,		[cb_DISC_DIR],			[cb_DISC_DIR_help]			},
		{	CB_TORQUE_D_OP,		[cb_TORQUE_D_OP],		[cb_TORQUE_D_OP_help]		},
		{	CB_TORQUE_D_CL,		[cb_TORQUE_D_CL],		[cb_TORQUE_D_CL_help]		},
		{	CB_TRAV_TIME,		[cb_TRAV_TIME],			[cb_TRAV_TIME_help]			},
		{	CB_ACT_OPEN,		[cb_ACT_OPEN],			[cb_ACT_OPEN_help]			},
		{	CB_ACT_CLOSE,		[cb_ACT_CLOSE],			[cb_ACT_CLOSE_help]			},
		{	CB_UPDATE_EVT,		[cb_UPDATE_EVT],		[cb_UPDATE_EVT_help]		},
		{	CB_SIMULATE,		[cb_SIMULATE],			[cb_SIMULATE_help]			},
		{	CB_DISTURBANCE,		[cb_DISTURBANCE],		[cb_DISTURBANCE_help]		},
		{	CB_CONTR_ERR,		[cb_CONTR_ERR],			[cb_CONTR_ERR_help]			},
		{	CB_CONTR_INACT,		[cb_CONTR_INACT],		[cb_CONTR_INACT_help]		},
		{	CB_SELFTEST,		[cb_SELFTEST],			[cb_SELFTEST_help]			},
		{	CB_TOT_VALVE_TRAV,	[cb_TOT_VALVE_TRAV],	[cb_TOT_VALVE_TRAV_help]	}
	}
	HANDLING	READ;
}

VARIABLE ao_fb_8_check_back_mask
{
	LABEL		[func_check_back_mask];
	HELP		[func_check_back_mask_help];
	CLASS		CONTAINED;
	TYPE		BIT_ENUMERATED (3)
	{
		{	CB_FAIL_SAFE,		[cb_FAIL_SAFE],			[cb_FAIL_SAFE_help]			},
		{	CB_REQ_LOC_OP,		[cb_REQ_LOC_OP],		[cb_REQ_LOC_OP_help]		},
		{	CB_LOCAL_OP,		[cb_LOCAL_OP],			[cb_LOCAL_OP_help]			},
		{	CB_OVERRIDE,		[cb_OVERRIDE],			[cb_OVERRIDE_help]			},
		{	CB_DISC_DIR,		[cb_DISC_DIR],			[cb_DISC_DIR_help]			},
		{	CB_TORQUE_D_OP,		[cb_TORQUE_D_OP],		[cb_TORQUE_D_OP_help]		},
		{	CB_TORQUE_D_CL,		[cb_TORQUE_D_CL],		[cb_TORQUE_D_CL_help]		},
		{	CB_TRAV_TIME,		[cb_TRAV_TIME],			[cb_TRAV_TIME_help]			},
		{	CB_ACT_OPEN,		[cb_ACT_OPEN],			[cb_ACT_OPEN_help]			},
		{	CB_ACT_CLOSE,		[cb_ACT_CLOSE],			[cb_ACT_CLOSE_help]			},
		{	CB_UPDATE_EVT,		[cb_UPDATE_EVT],		[cb_UPDATE_EVT_help]		},
		{	CB_SIMULATE,		[cb_SIMULATE],			[cb_SIMULATE_help]			},
		{	CB_DISTURBANCE,		[cb_DISTURBANCE],		[cb_DISTURBANCE_help]		},
		{	CB_CONTR_ERR,		[cb_CONTR_ERR],			[cb_CONTR_ERR_help]			},
		{	CB_CONTR_INACT,		[cb_CONTR_INACT],		[cb_CONTR_INACT_help]		},
		{	CB_SELFTEST,		[cb_SELFTEST],			[cb_SELFTEST_help]			},
		{	CB_TOT_VALVE_TRAV,	[cb_TOT_VALVE_TRAV],	[cb_TOT_VALVE_TRAV_help]	}
	}
	HANDLING	READ;
}

VARIABLE ao_fb_8_simulate_value
{
	LABEL		[beka_value];
	HELP		[func_ao_simulate_value_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
	{
		DEFAULT_VALUE	0.0;
	}
	HANDLING	READ & WRITE;
}

VARIABLE ao_fb_8_simulate_status
{
	LABEL		[status_limit];
	HELP		[func_simulate_status_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		STATUS_GENERAL
	}
	HANDLING	READ & WRITE;
}

VARIABLE ao_fb_8_simulation_enabled
{
	LABEL		[func_simulation_enabled];
	HELP		[func_simulation_enabled_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		{	0,	[disabled]		},
		{	1,	[enabled]		}
	}
	HANDLING	READ & WRITE;
}

VARIABLE ao_fb_8_increase_close
{
	LABEL		"Action"; /* [func_ao_increase_close]; */
	HELP		[func_ao_increase_close_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		{	0,	"Opening" /* [func_ao_increase_close_RISING]	*/	},
		{	1,	"Closing" /* [func_ao_increase_close_FALLING] */	}
	}
	HANDLING	READ & WRITE;
}

VARIABLE ao_fb_8_out_value
{
	LABEL		[beka_out_value]; /* [func_out_value]; */
	HELP		[func_ao_out_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		FLOAT
	{
		DEFAULT_VALUE	0.0;
	}
	HANDLING
		IF (ao_fb_8_actual_mode == BLOCK_MODE_MAN)
		{
			READ & WRITE;
		}
		ELSE {
			READ;
		}
}

VARIABLE ao_fb_8_out_status
{
	LABEL		[beka_out_status];
	HELP		[func_out_status_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		STATUS_GENERAL
	}
	HANDLING
		IF (ao_fb_8_actual_mode == BLOCK_MODE_MAN)
		{
			READ & WRITE;
		}
		ELSE {
			READ;
		}
}

VARIABLE ao_fb_8_out_upper_range_value
{
	LABEL		[func_pv_upper_beka];
	HELP		[func_out_scale_upper_value_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
	{
		DEFAULT_VALUE	100.0;
	}
	HANDLING	READ & WRITE;
}

VARIABLE ao_fb_8_out_lower_range_value
{
	LABEL		[func_pv_lower_beka];
	HELP		[func_out_scale_lower_value_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
	{
		DEFAULT_VALUE	0.0;
	}
	HANDLING	READ & WRITE;
}

VARIABLE ao_fb_8_out_unit
{
	LABEL		[func_out_scale_unit];
	HELP		[func_out_scale_unit_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0;
		UNIT_LIST
	}
	HANDLING	READ & WRITE;
}

VARIABLE ao_fb_8_out_decimal_point		
{
	LABEL		[decimal_point];
	HELP		[decimal_point_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	2;
		{	0,   "0"		},
		{	1,   "1"		},
		{	2,   "2"		},
		{	3,   "3"		},
		{	4,   "4"		},
		{	5,   "5"		},
		{	6,   "6"		}
	}
	HANDLING	READ & WRITE;
}


UNIT AO_1_PV_SCALE_UNIT
{
	ao_fb_8_pv_unit:
	ao_fb_8_pv_upper_range_value,
	ao_fb_8_pv_lower_range_value,
	ao_fb_8_readback_value,
	ao_fb_8_setpoint_value,
	ao_fb_8_rcas_in_value,
	ao_fb_8_rcas_out_value,
	ao_fb_8_fsafe_value
}

UNIT AO_1_OUT_SCALE_UNIT
{
	ao_fb_8_out_unit:

	ao_fb_8_out_value,
	ao_fb_8_out_upper_range_value,
	ao_fb_8_out_lower_range_value,
	ao_fb_8_simulate_value
}

/**********************************************************************/
/*****	COMMANDS Analogue Output Transducer Block
/**********************************************************************/


COMMAND read_ao_fb_8_blk
{
	BLOCK AO8_BLOCK;
	INDEX 0;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			ao_fb_8_blk_reserve, 
			ao_fb_8_blk_object, 
			ao_fb_8_blk_parent_class, 
			ao_fb_8_blk_class,
			ao_fb_8_blk_dd_reference, 
			ao_fb_8_blk_dd_rev, 
			ao_fb_8_blk_profile, 
			ao_fb_8_blk_profile_rev,
			ao_fb_8_blk_execution_time, 
			ao_fb_8_blk_num_parameters, 
			ao_fb_8_blk_index_view_1,
			ao_fb_8_blk_num_view_lists
		}
	}
}

COMMAND read_ao_fb_8_st_rev
{
	BLOCK AO8_BLOCK;
	INDEX 1;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			ao_fb_8_st_rev   
		}
	}
}

COMMAND read_ao_fb_8_tag_desc
{
	BLOCK AO8_BLOCK;
	INDEX 2;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			ao_fb_8_tag_desc
		}
	}
}

COMMAND write_ao_fb_8_tag_desc
{
	BLOCK AO8_BLOCK;
	INDEX 2;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			ao_fb_8_tag_desc
		}
		REPLY
		{
		}
	}
}

COMMAND read_ao_fb_8_strategy
{
	BLOCK AO8_BLOCK;
	INDEX 3;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			ao_fb_8_strategy
		}
	}
}

COMMAND write_ao_fb_8_strategy
{
	BLOCK AO8_BLOCK;
	INDEX 3;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			ao_fb_8_strategy
		}
		REPLY
		{
		}
	}
}

COMMAND read_ao_fb_8_alert_key
{
	BLOCK AO8_BLOCK;
	INDEX 4;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			ao_fb_8_alert_key
		}
	}
}

COMMAND write_ao_fb_8_alert_key
{
	BLOCK AO8_BLOCK;
	INDEX 4;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			ao_fb_8_alert_key
		}
		REPLY
		{
		}
	}
}

COMMAND read_ao_fb_8_target_mode
{
	BLOCK AO8_BLOCK;
	INDEX 5;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			ao_fb_8_target_mode
		}
	}
}

COMMAND write_ao_fb_8_target_mode
{
	BLOCK AO8_BLOCK;
	INDEX 5;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			ao_fb_8_target_mode
		}
		REPLY
		{
		}
	}
}

COMMAND read_ao_fb_8_mode
{
	BLOCK AO8_BLOCK;
	INDEX 6;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			 ao_fb_8_actual_mode, 
			 ao_fb_8_permitted_mode, 
			 ao_fb_8_normal_mode
		}
	}
}

COMMAND read_ao_fb_8_alarm
{
	BLOCK AO8_BLOCK;
	INDEX 7;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			ao_fb_8_current_state_alarm_sum, 
			ao_fb_8_unacknowledged_state_alarm_sum,
			ao_fb_8_unreported_state_alarm_sum, 
			ao_fb_8_disabled_state_alarm_sum
		}
	}
}

COMMAND read_ao_fb_8_batch_information
{
	BLOCK AO8_BLOCK;
	INDEX 8;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			ao_fb_8_batch_id, 
			ao_fb_8_batch_unit, 
			ao_fb_8_batch_operation, 
			ao_fb_8_batch_phase
		}
	}
}

COMMAND write_ao_fb_8_batch_information
{
	BLOCK AO8_BLOCK;
	INDEX 8;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			ao_fb_8_batch_id, 
			ao_fb_8_batch_unit, 
			ao_fb_8_batch_operation, 
			ao_fb_8_batch_phase
		}
		REPLY
		{
		}
	}
}

COMMAND read_ao_fb_8_setpoint 
{
	BLOCK AO8_BLOCK;
	INDEX 9;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			ao_fb_8_setpoint_value,
			ao_fb_8_setpoint_status
		}
	}
}

COMMAND write_ao_fb_8_setpoint 
{
	BLOCK AO8_BLOCK;
	INDEX 9;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			ao_fb_8_setpoint_value,
			ao_fb_8_setpoint_status	
		}
		REPLY
		{
		}
	}
}

COMMAND read_ao_fb_8_pv 
{
	BLOCK AO8_BLOCK;
	INDEX 11;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			ao_fb_8_pv_upper_range_value, 
			ao_fb_8_pv_lower_range_value, 
			ao_fb_8_pv_unit, 
			ao_fb_8_pv_decimal_point
		}
	}
}

COMMAND write_ao_fb_8_pv 
{
	BLOCK AO8_BLOCK;
	INDEX 11;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			ao_fb_8_pv_upper_range_value, 
			ao_fb_8_pv_lower_range_value, 
			ao_fb_8_pv_unit, 
			ao_fb_8_pv_decimal_point
		}
		REPLY
		{
		}
	}
}

COMMAND read_ao_fb_8_readback 
{
	BLOCK AO8_BLOCK;
	INDEX 12;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			ao_fb_8_readback_value,
			ao_fb_8_readback_status
		}
	}
}

COMMAND read_ao_fb_8_rcas_in
{
	BLOCK AO8_BLOCK;
	INDEX 14;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			ao_fb_8_rcas_in_value,
			ao_fb_8_rcas_in_status
		}
	}
}

COMMAND write_ao_fb_8_rcas_in
{
	BLOCK AO8_BLOCK;
	INDEX 14;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			ao_fb_8_rcas_in_value,
			ao_fb_8_rcas_in_status
		}
		REPLY
		{
		}
	}
}

COMMAND read_ao_fb_8_in_channel
{
	BLOCK AO8_BLOCK;
	INDEX 21;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			ao_fb_8_in_channel
		}
	}
}

COMMAND write_ao_fb_8_in_channel
{
	BLOCK AO8_BLOCK;
	INDEX 21;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			ao_fb_8_in_channel
		}
		REPLY
		{
		}
	}
}

COMMAND read_ao_fb_8_out_channel 
{
	BLOCK AO8_BLOCK;
	INDEX 22;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			ao_fb_8_out_channel
		}
	}
}

COMMAND write_ao_fb_8_out_channel 
{
	BLOCK AO8_BLOCK;
	INDEX 22;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			ao_fb_8_out_channel
		}
		REPLY
		{
		}
	}
}

COMMAND read_ao_fb_8_fsafe_time
{
	BLOCK AO8_BLOCK;
	INDEX 23;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			ao_fb_8_fsafe_time
		}
	}
}

COMMAND write_ao_fb_8_fsafe_time
{
	BLOCK AO8_BLOCK;
	INDEX 23;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			ao_fb_8_fsafe_time
		}
		REPLY
		{
		}
	}
}

COMMAND read_ao_fb_8_fsafe_type
{
	BLOCK AO8_BLOCK;
	INDEX 24;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			ao_fb_8_fsafe_type
		}
	}
}

COMMAND write_ao_fb_8_fsafe_type
{
	BLOCK AO8_BLOCK;
	INDEX 24;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			ao_fb_8_fsafe_type
		}
		REPLY
		{
		}
	}
}

COMMAND read_ao_fb_8_fsafe_value
{
	BLOCK AO8_BLOCK;
	INDEX 25;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			ao_fb_8_fsafe_value
		}
	}
}

COMMAND write_ao_fb_8_fsafe_value
{
	BLOCK AO8_BLOCK;
	INDEX 25;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			ao_fb_8_fsafe_value
		}
		REPLY
		{
		}
	}
}

COMMAND read_ao_fb_8_rcas_out
{
	BLOCK AO8_BLOCK;
	INDEX 27;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			ao_fb_8_rcas_out_value,
			ao_fb_8_rcas_out_status	
		}
	}
}

COMMAND read_ao_fb_8_current_position 
{
	BLOCK AO8_BLOCK;
	INDEX 31;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			ao_fb_8_position_discrete_value,
			ao_fb_8_position_discrete_status	
		}
	}
}

COMMAND read_ao_fb_8_setpoint_deviation
{
	BLOCK AO8_BLOCK;
	INDEX 32;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			ao_fb_8_setpoint_deviation
		}
	}
}

COMMAND read_ao_fb_8_check_back 
{
	BLOCK AO8_BLOCK;
	INDEX 33;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			ao_fb_8_check_back
		}
	}
}

COMMAND read_ao_fb_8_check_back_mask 
{
	BLOCK AO8_BLOCK;
	INDEX 34;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			ao_fb_8_check_back_mask
		}
	}
}

COMMAND read_ao_fb_8_simulate 
{
	BLOCK AO8_BLOCK;
	INDEX 35;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			ao_fb_8_simulate_status	,
			ao_fb_8_simulate_value, 
			ao_fb_8_simulation_enabled
		}
	}
}

COMMAND write_ao_fb_8_simulate 
{
	BLOCK AO8_BLOCK;
	INDEX 35;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			ao_fb_8_simulate_status,
			ao_fb_8_simulate_value,
			ao_fb_8_simulation_enabled
		}
		REPLY
		{
		}
	}
}

COMMAND read_ao_fb_8_increase_close 
{
	BLOCK AO8_BLOCK;
	INDEX 36;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			ao_fb_8_increase_close
		}
	}
}

COMMAND write_ao_fb_8_increase_close 
{
	BLOCK AO8_BLOCK;
	INDEX 36;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			ao_fb_8_increase_close
		}
		REPLY
		{
		}
	}
}

COMMAND read_ao_fb_8_out
{
	BLOCK AO8_BLOCK;
	INDEX 37;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			ao_fb_8_out_value,
			ao_fb_8_out_status

		}
	}
}

COMMAND write_ao_fb_8_out
{
	BLOCK AO8_BLOCK;
	INDEX 37;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			ao_fb_8_out_value,
			ao_fb_8_out_status
		}
		REPLY
		{
		}
	}
}

COMMAND read_ao_fb_8_out_scale 
{
	BLOCK AO8_BLOCK;
	INDEX 38;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			ao_fb_8_out_upper_range_value, 
			ao_fb_8_out_lower_range_value, 
			ao_fb_8_out_unit, 
			ao_fb_8_out_decimal_point 
		}
	}
}

COMMAND write_ao_fb_8_out_scale
{
	BLOCK AO8_BLOCK;
	INDEX 38;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			ao_fb_8_out_upper_range_value, 
			ao_fb_8_out_lower_range_value, 
			ao_fb_8_out_unit, 
			ao_fb_8_out_decimal_point
		}
		REPLY
		{
		}
	}
}


/**********************************************************************/
/*****	Methods
/**********************************************************************/

METHOD method_write_target_mode_ao_8
{
	LABEL "Write";
	DEFINITION
	{
		WriteCommand(write_ao_fb_8_target_mode);
		ReadCommand(read_ao_fb_8_target_mode);
	}
}

METHOD method_write_channel_in_out_ao_8
{
	LABEL "Write";
	DEFINITION
	{
		WriteCommand(write_ao_fb_8_in_channel);
		ReadCommand(read_ao_fb_8_in_channel);
		sassign(ao_fb_8_out_channel, ao_fb_8_in_channel);
		WriteCommand(write_ao_fb_8_out_channel);
		ReadCommand(read_ao_fb_8_out_channel);
	}
}

METHOD method_write_channel_out_ao_8
{
	LABEL "Write";
	DEFINITION
	{
		WriteCommand(write_ao_fb_8_out_channel);
		ReadCommand(read_ao_fb_8_out_channel);
	}
}

METHOD method_write_direction_ao_8
{
	LABEL "Write";
	DEFINITION
	{
		WriteCommand(write_ao_fb_8_increase_close);
		ReadCommand(read_ao_fb_8_increase_close);
	}
}


METHOD method_write_scale_in_ao_8
{
	LABEL "Write";
	DEFINITION
	{
		WriteCommand(write_ao_fb_8_pv);
		ReadCommand(read_ao_fb_8_pv);
	}
}

METHOD method_write_scale_out_ao_8
{
	LABEL "Write";
	DEFINITION
	{
		WriteCommand(write_ao_fb_8_out_scale);
		ReadCommand(read_ao_fb_8_out_scale);
	}
}

METHOD method_write_fail_ao_8
{
	LABEL "Write";
	DEFINITION
	{
		WriteCommand(write_ao_fb_8_fsafe_type);
		WriteCommand(write_ao_fb_8_fsafe_time);
		WriteCommand(write_ao_fb_8_fsafe_value);
		ReadCommand(read_ao_fb_8_fsafe_type);
		ReadCommand(read_ao_fb_8_fsafe_time);
		ReadCommand(read_ao_fb_8_fsafe_value);
	}
}

METHOD method_write_batch_ao_8
{
	LABEL "Write";
	DEFINITION
	{
		WriteCommand(write_ao_fb_8_batch_information);
	}
}


/**********************************************************************/
/*****	Table: Information - Specialist and Maintenance 
/**********************************************************************/

MENU Table_S_ao_fb_8
{
	LABEL		[beka_ao8];
	ACCESS		OFFLINE;
	ITEMS
	{
        	Table_ao_fb_8_tbblock,
        	ao_fb_8_st_rev,
        	ao_fb_8_tag_desc,
        	ao_fb_8_strategy,
        	ao_fb_8_alert_key,
        	ao_fb_8_target_mode,
        	Table_ao_fb_8_modeblock,
        	Table_ao_fb_8_alarmblock,
        	Table_S_ao_fb_8_batchinformation,
        	Table_S_ao_fb_8_setpoint,
        	Table_S_ao_fb_8_pv_scale,
        	Table_ao_fb_8_readback,
        	Table_S_ao_fb_8_rcas_in,
        	ao_fb_8_in_channel     	(READ_ONLY),
        	ao_fb_8_out_channel     	(READ_ONLY),
        	ao_fb_8_fsafe_time,
        	ao_fb_8_fsafe_type,
        	ao_fb_8_fsafe_value,
        	Table_ao_fb_8_rcas_out,
        	Table_ao_fb_8_posd,
        	ao_fb_8_setpoint_deviation,
        	ao_fb_8_check_back,
        	ao_fb_8_check_back_mask,
        	Table_S_ao_fb_8_simulate,
        	ao_fb_8_increase_close,
        	Table_S_ao_fb_8_out,
        	Table_S_ao_fb_8_out_scale
	}
}

MENU Table_M_ao_fb_8
{
	LABEL		[beka_ao8];
	ITEMS
	{
        	Table_ao_fb_8_tbblock,
        	ao_fb_8_static_revision 	(READ_ONLY),
        	ao_fb_8_tag_description 	(READ_ONLY),
        	ao_fb_8_strategy 		(READ_ONLY),
        	ao_fb_8_alert_key 		(READ_ONLY),
        	ao_fb_8_target_mode 		(READ_ONLY),
        	Table_ao_fb_8_modeblock,
        	Table_ao_fb_8_alarmblock
        	Table_M_ao_fb_8_batchinformation,
        	Table_M_ao_fb_8_setpoint,
        	Table_M_ao_fb_8_pv_scale,
        	Table_ao_fb_8_readback,
        	Table_M_ao_fb_8_rcas_in,
        	ao_fb_8_in_channel     	(READ_ONLY),
        	ao_fb_8_out_channel		(READ_ONLY),
        	ao_fb_8_fsafe_time		(READ_ONLY),
        	ao_fb_8_fsafe_type		(READ_ONLY),
        	ao_fb_8_fsafe_value		(READ_ONLY),
        	Table_ao_fb_8_rcas_out,
        	Table_ao_fb_8_posd,
        	ao_fb_8_setpoint_deviation,
        	ao_fb_8_check_back,
        	ao_fb_8_check_back_mask,
        	Table_M_ao_fb_8_simulate,
        	ao_fb_8_increase_close	(READ_ONLY),
        	Table_M_ao_fb_8_out,
        	Table_M_ao_fb_8_out_scale
	}
}

MENU Table_ao_fb_8_tbblock
{
	LABEL		[beka_block_characteristics];
	ITEMS
	{
		ao_fb_8_blk_reserve,
		ao_fb_8_blk_object,
		ao_fb_8_blk_parent_class,
		ao_fb_8_blk_class,
		ao_fb_8_blk_dd_reference,
		ao_fb_8_blk_dd_rev,
		ao_fb_8_blk_profile,
		ao_fb_8_blk_profile_rev,
		ao_fb_8_blk_execution_time,
		ao_fb_8_blk_num_parameters,
		ao_fb_8_blk_index_view_1,
		ao_fb_8_blk_num_view_lists
	}
}

MENU Table_ao_fb_8_modeblock
{
	LABEL		[beka_mode_block];
	ITEMS
	{
		ao_fb_8_actual_mode,
		ao_fb_8_permitted_mode,
		ao_fb_8_normal_mode,
	}
}


MENU Table_ao_fb_8_alarmblock
{
	LABEL		[beka_alarm_summary];
	ITEMS
	{
		ao_fb_8_current_state_alarm_sum,
		ao_fb_8_unacknowledged_state_alarm_sum,
		ao_fb_8_unreported_state_alarm_sum,
		ao_fb_8_disabled_state_alarm_sum
	}
}

MENU Table_ao_fb_8_readback
{
	LABEL		[beka_readback];
	ITEMS
	{
		ao_fb_8_readback_value,
		ao_fb_8_readback_status
	}
}

MENU Table_ao_fb_8_rcas_out
{
	LABEL		[beka_rcas_out];
	ITEMS
	{
		ao_fb_8_rcas_out_value,
		ao_fb_8_rcas_out_status
	}
}

MENU Table_ao_fb_8_posd
{
	LABEL		[beka_posd];
	ITEMS
	{
		ao_fb_8_position_discrete_value,
		ao_fb_8_position_discrete_status
	}
}

MENU Table_S_ao_fb_8_out
{
	LABEL		[beka_out];
	ITEMS
	{
		ao_fb_8_out_value,
		ao_fb_8_out_status
	}
}

MENU Table_M_ao_fb_8_out
{
	LABEL		[beka_out];
	ITEMS
	{
		ao_fb_8_out_value		(READ_ONLY),
		ao_fb_8_out_status		(READ_ONLY)
	}
}

MENU Table_S_ao_fb_8_setpoint
{
	LABEL		[beka_setpoint];
	ITEMS
	{
		ao_fb_8_setpoint_value,
		ao_fb_8_setpoint_status
	}
}

MENU Table_M_ao_fb_8_setpoint
{
	LABEL		[beka_setpoint];
	ITEMS
	{
		ao_fb_8_setpoint_value	(READ_ONLY),
		ao_fb_8_setpoint_status	(READ_ONLY)
	}
}

MENU Table_S_ao_fb_8_rcas_in
{
	LABEL		[beka_rcas_in];
	ITEMS
	{
		ao_fb_8_rcas_in_value,
		ao_fb_8_rcas_in_status
	}
}

MENU Table_M_ao_fb_8_rcas_in
{
	LABEL		[beka_rcas_in];
	ITEMS
	{
		ao_fb_8_rcas_in_value		(READ_ONLY),
		ao_fb_8_rcas_in_status	(READ_ONLY)
	}
}

MENU Table_S_ao_fb_8_pv_scale
{
	LABEL		[beka_pv];
	ITEMS
	{
		ao_fb_8_pv_upper_range_value,
		ao_fb_8_pv_lower_range_value,
		ao_fb_8_pv_unit,
		ao_fb_8_pv_decimal_point
		
	}
}

MENU Table_M_ao_fb_8_pv_scale
{
	LABEL		[beka_pv];
	ITEMS
	{
		ao_fb_8_pv_upper_range_value	(READ_ONLY),
		ao_fb_8_pv_lower_range_value	(READ_ONLY),
		ao_fb_8_pv_unit		(READ_ONLY),
		ao_fb_8_pv_decimal_point	(READ_ONLY),
	}
}

MENU Table_S_ao_fb_8_out_scale
{
	LABEL		[beka_out_scale];
	ITEMS
	{
		ao_fb_8_out_upper_range_value,
		ao_fb_8_out_lower_range_value,
		ao_fb_8_out_unit,
		ao_fb_8_out_decimal_point,
		
	}
}

MENU Table_M_ao_fb_8_out_scale
{
	LABEL		[beka_out_scale];
	ITEMS
	{
		ao_fb_8_out_upper_range_value	(READ_ONLY),
		ao_fb_8_out_lower_range_value	(READ_ONLY),
		ao_fb_8_out_unit		(READ_ONLY),
		ao_fb_8_out_decimal_point	(READ_ONLY),
	}
}

MENU Table_S_ao_fb_8_simulate
{
	LABEL		[beka_simulate];
	ITEMS
	{
		ao_fb_8_simulate_value,
		ao_fb_8_simulate_status,
		ao_fb_8_simulation_enabled
		
	}
}

MENU Table_M_ao_fb_8_simulate
{
	LABEL		[beka_simulate];
	ITEMS
	{
		ao_fb_8_simulate_value	(READ_ONLY),
		ao_fb_8_simulate_status	(READ_ONLY),
		ao_fb_8_simulation_enabled	(READ_ONLY)
	}
}

MENU Table_S_ao_fb_8_batchinformation
{
	LABEL		[beka_batchinfo];
	ITEMS
	{
		ao_fb_8_batch_id,
		ao_fb_8_batch_unit,
		ao_fb_8_batch_operation,
		ao_fb_8_batch_phase
		
	}
}

MENU Table_M_ao_fb_8_batchinformation
{
	LABEL		[beka_batchinfo];
	ITEMS
	{
		ao_fb_8_batch_id		(READ_ONLY),
		ao_fb_8_batch_unit		(READ_ONLY),
		ao_fb_8_batch_operation 	(READ_ONLY),
		ao_fb_8_batch_phase		(READ_ONLY)
		
	}
}

MENU ao_fb_8_information
{
	LABEL		"AO8 Information";
	ITEMS
	{
		ao_fb_8_actual_mode,
		aotb_in8_description		(READ_ONLY),
		aotb_in8_unit			(READ_ONLY),
		ao_fb_8_out_value,
		ao_fb_8_out_status
	}
}

MENU ao_fb_8_setup
{
	LABEL		"Online Configure AO8";
	STYLE		DIALOG;
	ACCESS		ONLINE;
	ITEMS
	{
		ao_fb_8_out_value,
		ao_fb_8_out_status
		ao_fb_8_target_mode,
		aotb_in8_description,
		aotb_in8_unit,
	}
}



